cache_aligned_allocator.h File Reference
`#include <new>`
`#include "tbb_stddef.h"`
`#include <utility>`
Include dependency graph for cache_aligned_allocator.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::cache_aligned_allocator< T >
| Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5. More...
struct | tbb::cache_aligned_allocator< T >::rebind< U >
class | tbb::cache_aligned_allocator< void >
| Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...
struct | tbb::cache_aligned_allocator< void >::rebind< U >

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Functions

size_t __TBB_EXPORTED_FUNC | tbb::internal::NFS_GetLineSize ()
| Cache/sector line size. More...
void *__TBB_EXPORTED_FUNC | tbb::internal::NFS_Allocate (size_t n_element, size_t element_size, void *hint)
| Allocate memory on cache/sector line boundary. More...
void __TBB_EXPORTED_FUNC | tbb::internal::NFS_Free (void *)
| Free memory allocated by NFS_Allocate. More...
template<typename T , typename U >
bool | tbb::operator== (const cache_aligned_allocator< T > &, const cache_aligned_allocator< U > &)
template<typename T , typename U >
bool | tbb::operator!= (const cache_aligned_allocator< T > &, const cache_aligned_allocator< U > &)

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.